<!--
Copyright © Institut für Qualitätsentwicklung an Schulen Schleswig-Holstein (IQSH)

SPDX-License-Identifier: AGPL-3.0-or-later
-->

<script setup lang="ts">
import Modal from "@/components/general/Modal.vue";
import { useMetaStore } from '@/stores/meta';
import { useFreeformStore } from '@/stores/freeform';
import { useScheduleStore } from '@/stores/schedule';
import { paneTypes } from '@/enums/enums';
import { storeToRefs } from 'pinia';
import { useTimelineStore } from '@/stores/timeline';

const meta = useMetaStore();
const { paneType } = storeToRefs(meta);
let store = null;
if (paneType.value == paneTypes.FREEFORM) {
    store = useFreeformStore();
} else if (paneType.value == paneTypes.SCHEDULE || paneType.value == paneTypes.STREAM) {
    store = useScheduleStore();
} else {
    store = useTimelineStore();
}

//@ts-ignore
const { showLoadingSpinner } = storeToRefs(store);

</script>
<template>
    <Modal v-if="showLoadingSpinner">
        <div class="w-full flex justify-center overflow-hidden">
            <svg class="animate-spin h-60 w-60 text-accent1-default" xmlns="http://www.w3.org/2000/svg" fill="none"
                viewBox="0 0 24 24">
                <circle class="opacity-25" cx="12" cy="12" r="10" stroke="currentColor" stroke-width="2"></circle>
                <path class="opacity-100" fill="currentColor"
                    d="M4 12a8 8 0 018-8V0C5.373 0 0 5.373 0 12h4zm2 5.291A7.962 7.962 0 014 12H0c0 3.042 1.135 5.824 3 7.938l3-2.647z">
                </path>
            </svg>
        </div>
    </Modal>
</template>